> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1policies premiums

> List policy's premiums



## OpenAPI

````yaml get /v1/policies/{policy_id}/premiums
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policies/{policy_id}/premiums:
    get:
      tags:
        - Policies
      description: List policy's premiums
      parameters:
        - schema:
            type: string
            minLength: 1
            example: policy_2c1x7V4r47ynM4RABVm1Co0UKkG
          required: true
          name: policy_id
          in: path
        - schema:
            type: string
            enum:
              - OVERDUE
              - PAID
              - PARTIALLY_PAID
              - PENDING
              - SUSPENDED
            default: PENDING
            example: PENDING
          required: false
          name: status
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Premium'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbiden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    Premium:
      type: array
      items:
        type: object
        properties:
          order:
            type: number
            example: 1
          status:
            type: string
            enum:
              - OVERDUE
              - PAID
              - PARTIALLY_PAID
              - PENDING
              - SUSPENDED
            example: PENDING
          currency:
            type: string
            enum:
              - EUR
              - XAF
            example: XAF
          amount_due:
            type: number
            example: 1000
          premium_id:
            type: string
            minLength: 1
            example: policy_2c1x7V4r47ynM4RABVm1Co0UKkG
          period_end:
            type: string
            minLength: 1
            example: '2024-07-17'
          amount_paid:
            type: number
            example: 1600
          description:
            type: string
          period_start:
            type: string
            minLength: 1
            example: '2024-06-17'
          total_amount:
            type: number
            example: 1600
          amount_remaining:
            type: number
            example: 1600
        required:
          - order
          - status
          - currency
          - amount_due
          - premium_id
          - period_end
          - amount_paid
          - period_start
          - total_amount
          - amount_remaining
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````